Subject: bug#77469: finder-inf is not autocompiled on installation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 19:16:50 +0300

> From: Gergely Riskó <[email-masked]>
> Date: Sat, 5 Apr 2025 18:00:18 +0200
> Cc: [email-masked]
> 
> On Sat, 5 Apr 2025, 17:45 Eli Zaretskii, <[email-masked]> wrote:
> 
>  > From: Gergely Riskó <[email-masked]>
>  > Date: Sat, 5 Apr 2025 16:16:22 +0200
>  > Cc: [email-masked]
>  > 
>  > > I hear you, but OTOH compiling this file will make the build a tad
>  > > longer, so it is not coming for free.
>  > >
>  > > In general, we don't compile files that have no code.
>  > 
>  > Yes, now I understand this much better, and that there is no point in
>  > byte-compilation.
>  > 
>  > Although adding a coding: ascii (or coding: utf-8) declaration at top
>  > would help a little bit, as discussed in
>  > https://github.com/nilcons/emacs-research/tree/master/parse-speed-byte-compile
> 
>  This shouldn't be necessary, since file-coding-system-alist already
>  says that *.el files should be decoded as UTF-8.
> 
> I understand that, but as you see on the page, that's not the case.  I intentionally compiled the webpage in a
> way that it's easy to download (git clone) and reproduce, and I reproduced it on emacs 30.1 and on master
> head.  Maybe it works differently in your environment?
> 
> El data loading is slower than byte compiled or el with utf8 coding header, at least for me. 

Where's the evidence that just adding the utf-8 coding cookie makes it
significantly faster, and by how much?